import { BaseDOMEventProxy } from "./BaseDOMEventProxy";
import { Type } from "./type";
import { EventProxy } from "./EventProxy";
import { DomWrapper, DomRenderer } from "./dom";
import { List$1 } from "./List$1";
/**
 * @hidden
 */
export declare class CanvasGestureDOMEventProxy extends BaseDOMEventProxy {
    static $t: Type;
    private static df;
    private dg;
    private di;
    private c4;
    d(): EventProxy;
    dh: any;
    constructor(a: DomWrapper, b: DomRenderer, c: boolean);
    private c6;
    private dj;
    protected get_am(): boolean;
    protected get_ac(): boolean;
    at(): void;
    private dn;
    private dm;
    private dp;
    private dq;
    private dr;
    private ds;
    private dt;
    private dl;
    private dk;
    static c8(): boolean;
    private da;
    du(a: any, b: string, c: List$1<() => void>): void;
    as(a: any, b: string): void;
    private d6;
    private c5;
    private d0;
    private dv;
    private dw;
    private db;
    private dc;
    c7: boolean;
    private dx;
    private dy;
    private dz;
    private d3;
    private dd;
    private de;
    private d2;
    private c9;
    private d1;
    private d4;
    bg(a: any, b: string): void;
    au(): void;
    static register(): void;
}
